<?php
$choix=-1;
while ($choix != 2)
{
 echo "Entrez une valeur 0, 1 ou 2 : ";
 fscanf(STDIN,"%d",$choix);
 switch($choix)
 {
   case 1 : echo "Choix 1 sélectionné".PHP_EOL ;
            break ; // sortie du switch
   case 0 : echo "Choix 0 sélectionné".PHP_EOL ;
            break 2 ; // sortie du switch et du while
 }
}
echo "Fin du programme".PHP_EOL;
?>